/* 
    Table of content
    1. POST
        1.1 Hero
        1.2 Content
        1.3 Footer
*/

/* 1. POST */
/* 1.1 Hero */
.post-hero .container {
    position: relative;
    z-index: 1;
    padding-top: 20rem;
}

.post-hero .image-wrapper {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 56.25%;
    border-radius: var(--border-radius);
    overflow: hidden;
}

.post-hero .image-wrapper img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

/* 1.2 Content */
.post-content .container {
    position: relative;
    z-index: 1;
}

.post-content h2 {
    margin: 5rem 0 1.5rem;
    font-size: 2.6rem;
    line-height: 1.3;
}

.post-content h3 {
    margin: 3rem 0 1rem;
    font-size: 2.2rem;
}

/* 1.3 Footer */
.post-footer .container {
    position: relative;
    z-index: 1;
    padding-top: 2rem;
    border-top: .1rem solid #ccc;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.post-footer .share-wrapper {
    display: flex;
    gap: 1rem;
}

.post-footer .share-wrapper span {
    line-height: 3.6rem;
}

.post-footer .share-wrapper a {
    font-size: 2rem;
}

.post-footer .link-wrapper {
    text-align: right;
}

/* RESIZE */
@media (max-width: 1024px) {
    /* 1. POST */
    /* 1.1 Hero */
    .post-hero .container {
        padding-top: 14rem;
    }
}

@media (max-width: 899px) {
    /* 1. POST */
    /* 1.1 Hero */
    .post-hero .container {
        padding-top: 12.4rem;
    }
}

@media (max-width: 599px) {
    /* 1. POST */
    /* 1.1 Hero */
    .post-hero .container {
        padding-top: 10.4rem;
    }
}

@media (max-width: 499px) {
    /* 1. POST */
    /* 1.1 Hero */
    .post-hero .image-wrapper {
        padding-top: 66.67%;
    }
}